/* $Id$ */

#ifndef _FLAG_HPP_
#define _FLAG_HPP_

// Flags enable us to distinguish the different types of pixels
// on a map 

/*******************************************************************************
IMPORTANT: If you change anything in Flags, check particles.hpp !!!!!!!!!!!!!!!!
*******************************************************************************/

struct Flags {
	static const Uint8 OBSTACLE_EARTH    = (1 << 0); /* update particles.hpp if you change this */
	static const Uint8 OBSTACLE_OBJECT   = (1 << 1); /* update particles.hpp if you change this */
	static const Uint8 OBSTACLE_PARTICLE = (1 << 2); /* update particles.hpp if you change this */
	static const Uint8 OBSTACLE_ANY      = OBSTACLE_EARTH | OBSTACLE_OBJECT | OBSTACLE_PARTICLE;
	static const Uint8 UNDIGGABLE     = (1 << 3);
	static const Uint8 UNSMOOTHABLE   = (1 << 4);
	static const Uint8 INDESTRUCTIBLE = (1 << 5);
	static const Uint8 UNABLE_ANY     = UNDIGGABLE | UNSMOOTHABLE | INDESTRUCTIBLE;
};

typedef Uint8 Flag;

#endif // _FLAG_HPP_
