/* $Id: creditswindow.hpp,v 1.1 2005/07/17 17:27:31 chfreund Exp $ */

#ifndef _CREDITSWINDOW_HPP_
#define _CREDITSWINDOW_HPP_

#include <SDL.h>

#include "action.h"
#include "button.h"
#include "widget.h"
using namespace SDLwidgets;

#include "wopwindow.hpp"

class CreditsWindow : public WopWindow, public ActionListener, public ActionWidget {
public:
	enum Action {
		BACK_PRESSED
	};
	
private:
	WidgetComposite* m_content;
	TextButton* m_backButton;
	
public:
	CreditsWindow();
	~CreditsWindow() { }
	void actionPerformed( Uint32 cmd, void* source );
	bool handleEvent( SDL_Event* event );

};

#endif // _CREDITSWINDOW_HPP_
