/* $Id: optionswindow.hpp,v 1.4 2005/12/12 21:02:29 chfreund Exp $ */

#ifndef _OPTIONSWINDOW_HPP_
#define _OPTIONSWINDOW_HPP_

#include <vector>

#include "widget.h"
#include "button.h"
#include "textfield.h"
using namespace SDLwidgets;

#include "wopwindow.hpp"
class WopSettings;
class PlayerConfigWindow;

class OptionsWindow : public WopWindow, public ActionListener, public ActionWidget {
public:
	enum Action {
		CONFIG_KEYS_PRESSED,
		SAVE_PRESSED,
		BACK_PRESSED
	};
	
private:
	WopSettings* m_settings;
	WidgetComposite* m_content;
	TextButton* m_configPlayerButton;
	TextButton* m_configKeyButton;
	TextButton* m_saveButton;
	TextButton* m_backButton;
	PlayerConfigWindow* m_playerConfigWindow;
	
public:
	OptionsWindow( WopSettings* settings, Uint32 width, Uint32 height );
	~OptionsWindow() { }
	void actionPerformed( Uint32 cmd, void* source );
	bool handleEvent( SDL_Event* event );
};

#endif // _OPTIONSWINDOW_HPP_
